#2629 closed enhancement (fixed)

Remove internal mutex objects

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: Indefinite
Component: score Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Remove the internal mutex objects and instead use statically-initialized self-contained mutexes like for <sys/lock.h> and C/C++ 11. This offers

  • higher performance,
  • lower space overhead, and
  • enables use of condition variables in combination with internal mutexes.

Change History (4)

comment:1 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:2 Changed on May 11, 2017 at 7:42:40 AM by Sebastian Huber

Milestone: 4.12.05.0

comment:3 Changed on Aug 14, 2017 at 12:45:32 AM by Chris Johns

Milestone: 5.0Indefinite
Version: 4.10

comment:4 Changed on Dec 4, 2017 at 9:55:05 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 6c2b8a4b/rtems:

score: Use self-contained API mutex

Use a self-contained recursive mutex for API_Mutex_Control. The API
mutexes are protected against asynchronous thread cancellation.

Add dedicated mutexes for libatomic and TOD.

Close #2629.
Close #2630.

Note: See TracTickets for help on using tickets.